Loading...
Searching...
No Matches
BALL::TreeWidth< UndirectedGraph >::ComponentFilter_< ComponentMap > Class Template Reference

`#include <BALL/DATATYPE/GRAPH/treeWidth.h>`

## Public Member Functions

| ComponentFilter_ (ComponentMap cm, Position i)
template<typename Vertex>
bool | operator() (const Vertex &e) const

## Protected Attributes

ComponentMap | cm_
Position | component_

## Detailed Description

template<class UndirectedGraph>
template<typename ComponentMap>
class BALL::TreeWidth< UndirectedGraph >::ComponentFilter_< ComponentMap >

Definition at line 131 of file treeWidth.h.

## Constructor & Destructor Documentation

## ComponentFilter_()

template<class UndirectedGraph>
template<typename ComponentMap>

BALL::TreeWidth< UndirectedGraph >::ComponentFilter_< ComponentMap >::ComponentFilter_ | ( | ComponentMap | cm,
|  | Position | i )

inline

Definition at line 134 of file treeWidth.h.

## Member Function Documentation

## operator()()

template<class UndirectedGraph>
template<typename ComponentMap>
template<typename Vertex>

bool BALL::TreeWidth< UndirectedGraph >::ComponentFilter_< ComponentMap >::operator() | ( | const Vertex & | e | ) | const

inline

Definition at line 140 of file treeWidth.h.

## Member Data Documentation

## cm_

template<class UndirectedGraph>
template<typename ComponentMap>

ComponentMap BALL::TreeWidth< UndirectedGraph >::ComponentFilter_< ComponentMap >::cm_

protected

Definition at line 146 of file treeWidth.h.

## component_

template<class UndirectedGraph>
template<typename ComponentMap>

Position BALL::TreeWidth< UndirectedGraph >::ComponentFilter_< ComponentMap >::component_

protected

Definition at line 147 of file treeWidth.h.